%define oname   vagrant_cloud

Name:       ruby-%{oname}
Version:    3.1.1
Release:    %mkrel 1
Summary:    Ruby client for the Vagrant Cloud API
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/hashicorp/vagrant_cloud
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Ruby client for the Vagrant Cloud API
%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install


%changelog
* Mon Apr 08 2024 pterjan <pterjan> 3.1.1-1.mga10
+ Revision: 2055592
- Update to 3.1.1

* Tue May 03 2022 pterjan <pterjan> 3.0.5-1.mga9
+ Revision: 1855715
- Update to 3.0.5

* Fri Mar 25 2022 umeabot <umeabot> 3.0.2-2.mga9
+ Revision: 1826973
- Mageia 9 Mass Rebuild

* Fri Jan 01 2021 neoclust <neoclust> 3.0.2-1.mga8
+ Revision: 1667752
- imported package ruby-vagrant_cloud

